/*
 * Game Object: Score
 */

package colisoes;

import java.awt.Graphics;
import javaPlay.GameObject;
import java.awt.Color;
import java.awt.Font;

/**
 *
 * @author VisionLab/PUC-Rio
 */

public class Score extends GameObject
{
    //numero total de vidas
    private int scoreCounter;

    public Score ( int n ){
        scoreCounter = n;// numero total de vidas
    }

    public int getScore(){
        return scoreCounter;
    }

    public void setScore( int n ){
        scoreCounter += n;
    }

    public void step(long timeElapsed){

    }

    //Desenha os atributos da classe na tela
    public void draw(Graphics g)
    {
        g.setColor(Color.RED);
        g.setFont(new Font("Arial", Font.BOLD, 18));

        //desenha uma String na tela na posicao (80,110)
        g.drawString("VIDAS: " + String.valueOf(scoreCounter), 80, 110);
    }
}